summaryrefslogtreecommitdiff
path: root/package/git/git.mk
blob: b8a762337f090ae432573b8bf6502fc32d026b51 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
################################################################################
#
# git
#
################################################################################

GIT_VERSION         = 1.8.3
GIT_SITE            = http://git-core.googlecode.com/files/
GIT_LICENSE         = GPLv2 LGPLv2.1+
GIT_LICENSE_FILES   = COPYING LGPL-2.1
GIT_DEPENDENCIES    = zlib host-gettext

ifeq ($(BR2_PACKAGE_OPENSSL),y)
	GIT_DEPENDENCIES += openssl
	GIT_CONF_OPT += --with-openssl
else
	GIT_CONF_OPT += --without-openssl
endif

ifeq ($(BR2_PACKAGE_PERL),y)
	GIT_DEPENDENCIES += perl
	GIT_CONF_OPT += --with-libpcre
else
	GIT_CONF_OPT += --without-libpcre
endif

ifeq ($(BR2_PACKAGE_CURL),y)
	GIT_DEPENDENCIES += curl
	GIT_CONF_OPT += --with-curl
else
	GIT_CONF_OPT += --without-curl
endif

ifeq ($(BR2_PACKAGE_EXPAT),y)
	GIT_DEPENDENCIES += expat
	GIT_CONF_OPT += --with-expat
else
	GIT_CONF_OPT += --without-expat
endif

ifeq ($(BR2_PACKAGE_LIBICONV),y)
	GIT_DEPENDENCIES += libiconv
	GIT_CONF_ENV += LIBS=-liconv
	GIT_CONF_OPT += --with-iconv=/usr/lib
else
	GIT_CONF_OPT += --without-iconv
endif

ifeq ($(BR2_PACKAGE_TCL),y)
	GIT_DEPENDENCIES += tcl
	GIT_CONF_OPT += --with-tcltk
else
	GIT_CONF_OPT += --without-tcltk
endif

# assume yes for these tests, configure will bail out otherwise
# saying error: cannot run test program while cross compiling
GIT_CONF_ENV += ac_cv_fread_reads_directories=yes \
	ac_cv_snprintf_returns_bogus=yes

$(eval $(autotools-package))